POSTtrace_transaction

Traces the execution of a specific transaction. This method provides information about all significant events that occurred during the transaction execution (e.g., function calls, gas consumption, generated logs).

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

Enter the following parameters as an array with the appropriate types.

  1. transaction hash: Enter the transaction hash to query as a string.
params[0]string

Transaction hash is the unique identifier of a transaction. Transaction hashes are expressed as 64-digit hexadecimal strings.

Responses
fromstring

Caller address

callTypestring

Call type (call, delegatecall, staticcall, etc.)

gasstring

Gas limit set for the call (hex)

inputstring

Call input data (hex)

tostring

Callee address

valuestring

Amount of ETH transferred (hex, in wei)

blockHashstring

Hash of the block containing this transaction

blockNumberinteger

Block number containing the transaction

gasUsedstring

Actual gas used (hex)

outputstring

Call return data (hex)

subtracesinteger

Number of sub-traces

traceAddressinteger[]

Index array representing the trace path

transactionHashstring

Hash of the traced transaction

transactionPositioninteger

Position of the transaction within the block

typestring

Trace type (call, create, reward, etc.)

X-API-KEY
RequestCU73
cURL
curl -X POST "https://ethereum-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "trace_transaction",
  "params": [
    "0x17104ac9d3312d8c136b7f44d4b8b47852618065ebfa534bd2d3b5ef218ca1f3"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": [
    {
      "action": {
        "from": "0x83806d539d4ea1c140489a06660319c9a303f874",
        "callType": "call",
        "gas": "0x1a1f8",
        "input": "0x",
        "to": "0x1c39ba39e4735cb65978d4db400ddd70a72dc750",
        "value": "0x7a16c911b4d00000"
      },
      "blockHash": "0x7eb25504e4c202cf3d62fd585d3e238f592c780cca82dacb2ed3cb5b38883add",
      "blockNumber": 3068185,
      "result": {
        "gasUsed": "0x2982",
        "output": "0x"
      },
      "subtraces": 2,
      "traceAddress": [],
      "transactionHash": "0x17104ac9d3312d8c136b7f44d4b8b47852618065ebfa534bd2d3b5ef218ca1f3",
      "transactionPosition": 2,
      "type": "call"
    }
  ]
}